Skip to main content
GET
List incoming webhooks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 1000
limit
integer
default:10

Maximum number of items to return

Required range: 1 <= x <= 100
type
enum<string>

Filter by incoming webhook type. MILESTONE can still be filtered on so you can find existing milestone webhooks, but new ones can no longer be created and calls to them return 410. Type of incoming webhook

Available options:
RELEASE,
MILESTONE,
SUBSCRIBER

Response

List of incoming webhooks retrieved successfully

id
string

Unique incoming webhook identifier

Example:

"iw_01hf8k4x7n9m2p3q5r8s9t0v1w"

name
string

Incoming webhook name

Example:

"New release trigger"

type
enum<string>

Incoming webhook type

Available options:
RELEASE,
MILESTONE,
SUBSCRIBER
Example:

"RELEASE"

isEnabled
boolean

Indicates whether the incoming webhook is enabled

Example:

true

url
string<uri>

Incoming webhook URL endpoint

Example:

"https://hooks.onset.io/v1/XXXX/XXX"

lastTriggeredAt
string<date-time> | null

Timestamp of the last successful trigger

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp